: Class JigsawHttpSessionContext

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.servlet
Class JigsawHttpSessionContext

    java.lang.Object
      |
      +--org.w3c.jigsaw.servlet.JigsawHttpSessionContext

Deprecated. since jsdk2.1

public class JigsawHttpSessionContext
extends java.lang.Object
implements javax.servlet.http.HttpSessionContext, PropertyMonitoring

Constructor Summary
`JigsawHttpSessionContext(httpd server, ServletProps props)` Deprecated.

Method Summary
`protected java.lang.String` | `addSession(JigsawHttpSession session)` Deprecated. Add a session in this context.
`java.util.Enumeration` | `getIds()` Deprecated. since jsdk2.1
`javax.servlet.http.HttpSession` | `getSession(java.lang.String sessionId)` Deprecated. since jsdk2.1
`boolean` | `propertyChanged(java.lang.String name)` Deprecated. PropertyMonitoring implementation.
`protected void` | `removeOldestIdleSession()` Deprecated.
`protected void` | `removeSession(java.lang.String id)` Deprecated. Remove a session of this session context.
`protected void` | `sweepSession()` Deprecated. Remove sessions with idle time > max idle time

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JigsawHttpSessionContext

    public JigsawHttpSessionContext(httpd server,
                                    ServletProps props)

  Deprecated.

Method Detail

### propertyChanged

    public boolean propertyChanged(java.lang.String name)

  Deprecated.
  PropertyMonitoring implementation.
  Specified by:
    propertyChanged in interface PropertyMonitoring
  Tags copied from interface: PropertyMonitoring
  Parameters:
    `name` - The name of the property that changed.
  Returns:
    A boolean, if true, accept the new property value, otherwise, reject it and reset the property to its old value.

### sweepSession

    protected void sweepSession()

  Deprecated.
  Remove sessions with idle time > max idle time

### removeOldestIdleSession

    protected void removeOldestIdleSession()

  Deprecated.

### getIds

    public java.util.Enumeration getIds()

  Deprecated. since jsdk2.1

  Returns an enumeration of all of the session IDs in this context.
  Specified by:
    getIds in interface javax.servlet.http.HttpSessionContext
  Returns:
    an enumeration of all session IDs in this context.

### getSession

    public javax.servlet.http.HttpSession getSession(java.lang.String sessionId)

  Deprecated. since jsdk2.1

  Returns the session bound to the specified session ID.
  Specified by:
    getSession in interface javax.servlet.http.HttpSessionContext
  Parameters:
    `sessionID` - - the ID of a particular session object
  Returns:
    the session. Returns null if the session ID does not refer to a valid session.

### addSession

    protected java.lang.String addSession(JigsawHttpSession session)

  Deprecated.
  Add a session in this context.
  Parameters:
    `session` - - The JigsawHttpSession to add.
  Returns:
    The session ID.

### removeSession

    protected void removeSession(java.lang.String id)

  Deprecated.
  Remove a session of this session context.
  Parameters:
    `id` - - The session ID.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD